Bug 125494 - Incorrect conduit shared object paths.
Incorrect conduit shared object paths.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
2
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 00:46 EDT by Josh Gilkerson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 14:09:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Gilkerson 2004-06-08 00:46:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6)
Gecko/20040510

Description of problem:
When syncing with the pilot, the shared object libraries for the
conduits are not found.

The daemon and gui configuration programs are looking for them at
'/usr/lib/gnome-pilot/conduits/lib*.so'.  The files are actually
located at '/usr/lib64/gnome-pilot/conduits/lib*.so'.  (Note the
lib64, not lib).

I have a workaround that seems to fix the problem, but is not a real
solution.  Create a symbolic link from /usr/lib/gnome-pilot pointing
at /usr/lib64/gnome-pilot.  ie 'ln -s /usr/lib54/gnome-pilot
/usr/lib/gnome-pilot'.

Version-Release number of selected component (if applicable):
gnome-pilot-2.0.10-6.1

How reproducible:
Always

Steps to Reproduce:
1.Try to use any of the gnome-pilot conduits on x86-64.
2.
3.
    

Additional info:
Comment 1 Dave Malcolm 2004-09-24 14:09:38 EDT
Thanks for the report; I believe this was fixed in gnome-pilot-2.0.10-8

Note You need to log in before you can comment on or make changes to this bug.